<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>scope</title>
</head>
<body>
    <script>
        let g1 = 'Test 1';
        let g2 = 'Test 2';

        if (1) {
            g1 = 'Changed value';
            let g2 = 'Changed value for g2';

            console.log()
        }

    </script>
</body>
</html>